Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003271 [JEDI VCL] 00 JVCL Components major always 2005-10-16 23:50 2006-04-05 06:29
Reporter stevetroxell View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003271: TJvHTLabel bad background when Transparent = True and Layout <> tlTop
Description Drop a TJvHTLabel on a form. Set Transparent = true, set Layout to tlCenter or tlBottom, background turns white. This is from the shipped v 3.00
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008533)
outchy (administrator)
2006-02-09 08:51

I guess you have Windows XP with themes.
I can't reproduce on Windows 2000 with JVCL 3.10 using BDS 2006 and Delphi 7.
(0008540)
obones (administrator)
2006-02-13 04:20

Please retry with JVCL 3.10, or even better, the CVS version, I'm quite sure this was fixed a while ago.
(0008544)
outchy (administrator)
2006-02-13 04:55

When the control is clicked/draged in the form designer, its background turns to white. I don't know if that could be fixed.
(0008545)
obones (administrator)
2006-02-13 06:01

I don't have this behaviour here, with Delphi 6.
(0008546)
outchy (administrator)
2006-02-13 07:11

I checked with various versions of Delphi, it appears only using BDS 2006.
(0008547)
stevetroxell (reporter)
2006-02-13 14:01
edited on: 2006-02-13 14:02

This appears to be working fine now (D7).

(0008970)
obones (administrator)
2006-04-05 06:29

Yes, the "white" occurs in BDS, but it returns to the correct color after that. So I'm closing this issue. Please create a new one should this behaviour change in the future

- Issue History
Date Modified Username Field Change
2005-10-16 23:50 stevetroxell New Issue
2006-02-09 08:51 outchy Note Added: 0008533
2006-02-13 04:20 obones Note Added: 0008540
2006-02-13 04:20 obones Status new => feedback
2006-02-13 04:55 outchy Note Added: 0008544
2006-02-13 06:01 obones Note Added: 0008545
2006-02-13 07:11 outchy Note Added: 0008546
2006-02-13 14:01 stevetroxell Note Added: 0008547
2006-02-13 14:02 stevetroxell Note Edited: 0008547
2006-04-05 06:29 obones Status feedback => resolved
2006-04-05 06:29 obones Resolution open => fixed
2006-04-05 06:29 obones Assigned To => obones
2006-04-05 06:29 obones Note Added: 0008970


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker